summaryrefslogtreecommitdiff
path: root/tests/pr2.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>1999-12-19 08:36:11 +0000
committerTom Tromey <tromey@redhat.com>1999-12-19 08:36:11 +0000
commit27859020727c15dd6ab5aaf9d3b0597263c012fc (patch)
tree05b71eff79e139399a7ffac4fa3267e56c615a9f /tests/pr2.test
parent7e326d1c6674e92f871685df1057be6238a34b95 (diff)
downloadautomake-27859020727c15dd6ab5aaf9d3b0597263c012fc.tar.gz
Test for PR automake/2:
* pr2.test: New file. * Makefile.am (TESTS): Added pr2.test.
Diffstat (limited to 'tests/pr2.test')
-rwxr-xr-xtests/pr2.test24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/pr2.test b/tests/pr2.test
new file mode 100755
index 000000000..2290eeebc
--- /dev/null
+++ b/tests/pr2.test
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+# Test for bug reported in PR 2.
+
+. $srcdir/defs || exit 1
+
+cat > configure.in << 'END'
+PACKAGE=nonesuch
+VERSION=nonesuch
+AC_ARG_PROGRAM
+AC_PROG_INSTALL
+AC_OUTPUT(README.foo:templ/README.foo.in Makefile)
+END
+
+: > Makefile.am
+
+mkdir templ
+: > templ/README.foo.in
+
+$AUTOMAKE || exit 1
+
+# Look for mkinstalldirs invocation for the templ directory.
+# We use the `[^/]' to avoid matching `templ/README.foo.in'.
+grep 'mkinstalldirs.*templ[^/]' Makefile.in